Bug 1278784 - sosreport can not be killed with SIGTERM
sosreport can not be killed with SIGTERM
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: sos (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bryn M. Reeves
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-06 07:09 EST by Marius Vollmer
Modified: 2016-07-19 14:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:25:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marius Vollmer 2015-11-06 07:09:05 EST
Killing a sosreport process with SIGTERM does not stop it.  Instead, one gets

    caught exception in plugin method "selinux.collect()"
    writing traceback to sos_logs/selinux-plugin-errors.txt

Steps:

 # sosreport --batch

While that runs in another shell:

 # pkill sosreport

Using "pkill -SIGINT sosreport" works as expected.
Comment 1 Bryn M. Reeves 2015-11-10 10:47:02 EST
Thanks - filed as upstream issue #689:

  https://github.com/sosreport/sos/issues/689
Comment 2 Fedora End Of Life 2016-07-19 14:25:50 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.